<?php
namespace Afone\ComNpay\Controller\Index;

use \Magento\Framework\App\Action\Context;
use \Magento\Framework\View\Result\PageFactory;
use \Magento\Framework\App\Action\Action;
use \Magento\Framework\Registry;

class RetourOk extends Action
{
  protected $_coreRegistry;
  protected $_pageFactory;
  
  public function __construct(
    Context $context,
    PageFactory $resultPageFactory,
    Registry $resultRegistry
  ) 
  {
    $this->_pageFactory = $resultPageFactory;
    $this->_coreRegistry = $resultRegistry;
    parent::__construct(
        $context
    );
  }
  
  
  public function execute()
  {
    
    $get = filter_input_array(INPUT_GET);
    
    $retour = array(
      "oar_order_id"          => $get['oar_order_id'],
      "oar_billing_lastname"  => $get['oar_billing_lastname'],
      "oar_type"              => $get['oar_type'],
      "oar_email"             => $get['oar_email'],
      "oar_zip"               => ""
    );
    
    
    
    // Si le retour est KO on met directement à jour la commande
    if($get['result'] == 'KO'){
      $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
      $order = $objectManager->create('\Magento\Sales\Model\Order')->load($get['id_simple']);
      $order->setState("canceled")->setStatus("canceled");
      $order->save();
    }
    
    
    $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
    $storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
    $baseUrl = $storeManager->getStore()->getBaseUrl();

    $FormKey = $objectManager->get('Magento\Framework\Data\Form\FormKey');
    $retour['form_key']= $FormKey->getFormKey();

    // Save data in register
    $this->_coreRegistry->register('data_retour', json_encode($retour));
    $this->_coreRegistry->register('urlRetour', $baseUrl . "sales/guest/view");
    
    $resultPage = $this->_pageFactory->create();
    $resultPage->addHandle('comnpay_index_retour');
    $resultPage->getConfig()->getTitle()->prepend(__('Waiting redirection'));
    return $resultPage;
    
  }

  
}